org.apache.ignite.internal.processors.streamer

## Class StreamerStageMetricsHolder

- java.lang.Object
- - org.apache.ignite.internal.processors.streamer.StreamerStageMetricsHolder

All Implemented Interfaces:
  StreamerStageMetrics

    public class StreamerStageMetricsHolder
    extends Object
    implements StreamerStageMetrics

Streamer stage metrics holder.

### Constructor Summary

Constructors
Constructor and Description
`StreamerStageMetricsHolder(String name)`

### Method Summary

Methods
`long` `averageExecutionTime()` Gets stage average execution time.
`long` `averageWaitingTime()` Stage average waiting time.
`boolean` `executing()` Gets flag indicating if stage is being currently executed by at least one thread on current node.
`int` `failuresCount()` Gets stage failure count.
`long` `maximumExecutionTime()` Gets stage maximum execution time.
`long` `maximumWaitingTime()` Gets stage maximum waiting time.
`long` `minimumExecutionTime()` Gets stage minimum execution time.
`long` `minimumWaitingTime()` Gets stage minimum waiting time.
`String` `name()` Gets stage name.
`void` `onExecutionFinished(long execTime)` Execution finished callback.
`void` `onExecutionStarted(long waitTime)` Execution started callback.
`void` `onFailure()` Failure callback.
`long` `totalExecutionCount()` Gets total stage execution count since last reset.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### StreamerStageMetricsHolder

    public StreamerStageMetricsHolder(String name)

Parameters:
  `name` - Stage name.

### Method Detail

#### name

    public String name()

Gets stage name.

Specified by:
  `name` in interface `StreamerStageMetrics`
Returns:
  Stage name.

#### minimumExecutionTime

    public long minimumExecutionTime()

Gets stage minimum execution time.

Specified by:
  `minimumExecutionTime` in interface `StreamerStageMetrics`
Returns:
  Stage minimum execution time.

#### maximumExecutionTime

    public long maximumExecutionTime()

Gets stage maximum execution time.

Specified by:
  `maximumExecutionTime` in interface `StreamerStageMetrics`
Returns:
  Stage maximum execution time.

#### averageExecutionTime

    public long averageExecutionTime()

Gets stage average execution time.

Specified by:
  `averageExecutionTime` in interface `StreamerStageMetrics`
Returns:
  Stage average execution time.

#### minimumWaitingTime

    public long minimumWaitingTime()

Gets stage minimum waiting time.

Specified by:
  `minimumWaitingTime` in interface `StreamerStageMetrics`
Returns:
  Stage minimum waiting time.

#### maximumWaitingTime

    public long maximumWaitingTime()

Gets stage maximum waiting time.

Specified by:
  `maximumWaitingTime` in interface `StreamerStageMetrics`
Returns:
  Stage maximum waiting time.

#### averageWaitingTime

    public long averageWaitingTime()

Stage average waiting time.

Specified by:
  `averageWaitingTime` in interface `StreamerStageMetrics`
Returns:
  Stage average waiting time.

#### totalExecutionCount

    public long totalExecutionCount()

Gets total stage execution count since last reset.

Specified by:
  `totalExecutionCount` in interface `StreamerStageMetrics`
Returns:
  Number of times this stage was executed.

#### failuresCount

    public int failuresCount()

Gets stage failure count.

Specified by:
  `failuresCount` in interface `StreamerStageMetrics`
Returns:
  Stage failure count.

#### executing

    public boolean executing()

Gets flag indicating if stage is being currently executed by at least one thread on current node.

Specified by:
  `executing` in interface `StreamerStageMetrics`
Returns:
  `True` if stage is executing now.

#### onExecutionStarted

    public void onExecutionStarted(long waitTime)

Execution started callback.

Parameters:
  `waitTime` - Wait time.

#### onExecutionFinished

    public void onExecutionFinished(long execTime)

Execution finished callback.

Parameters:
  `execTime` - Stage execution time.

#### onFailure

    public void onFailure()

Failure callback.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.0.0-RC1
Release Date | : February 17 2015